admin

libcurl curl漏洞修复升级

admin linux服务 2021-08-06 72浏览 0


方法如下:

1.安装libcurl的yum源

rpm -ivh http://mirror.city-fan.org/ftp/contrib/yum-repo/city-fan.org-release-2-1.rhel7.noarch.rpm

2.执行yum upgrade更新

yum upgrade libcurl curl

然后这里你会发现什么都没有发生要把编辑city-fa源把enabled=0改为enabled=1

vi /etc/yum.repos.d/city-fan.org.repo

在执行

libnghttp2 so error.png

Error: Package: libcurl-7.65.1-1.0.cf.rhel7.x86_64 (city-fan.org)       Requires: libnghttp2.so.14()(64bit)

解决方法:

1.安装epel源

yum install epel-release -y

2.重新执行上面的安装命令然后依然报错Requires: libnghttp2.so.14()(64bit)

最终解决方法执行:

yum --enablerepo=epel install libnghttp2 -y && yum install libcurl -y


curl更新成功make成功.png

版权声明

本站《作品展示》类文章均为原创,转载必须注明出处,技术分享类文章部分来源于网络,版权归原作者所有,若侵权请留言。

发表评论
展开